This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 44782 - --relocate option is broken
--relocate option is broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-16 13:12 EDT by twinkel_soft
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-16 13:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description twinkel_soft 2001-06-16 13:12:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
I can't use the --relocate option with rpm

How reproducible:
Always

Steps to Reproduce:
rpm -i --relocate /opt=/opt/IBMWebAS -vv xxx.i386.rpm

Actual Results:  #debug info
D: relocating /opt/lib/xx.jar to /opt/IBMWebAS
D: relocating /opt/lib to /opt/IBMWebAS
...
D: file: /opt/IBMWebAS action: create
D: file: /opt/IBMWebAS action: create
...

Installation fails !!!

Expected Results:  #debug info
D: relocating /opt/lib/xx.jar to /opt/IBMWebAS/lib/xx.jar
D: relocating /opt/lib to /opt/IBMWebAS/lib
...
D: file: /opt/IBMWebAS/lib/xx.jar action: create
D: file: /opt/IBMWebAS/lib action: create
...

Installation fails !!!

Additional info:
Comment 1 Jeff Johnson 2001-06-16 15:13:54 EDT
Fixed in rpm-4.0.3-0.6, available from ftp://ftp.rpm.org/pub/rpm/test-4.0.3.
Please reopen this bug if that does *not* fix your problem.

Note You need to log in before you can comment on or make changes to this bug.